<?php
/**
 * Description of ModelAranzman
 *
 */
class AranzmanModel {
    private $id_aranzmana;
	private $lokacija;
	private $hotel;
	private $datum_pocetka;
	private $datum_kraja;
	private $broj_nocenja;
	private $tip_prevoza;
	private $tip_sobe;
	private $cena_aranzmana;
	private $broj_komada;

    public function __construct($id_aranzmana, $lokacija, $hotel, $datum_pocetka, $datum_kraja, $broj_nocenja,
		$tip_prevoza, $tip_sobe, $cena_aranzmana, $broj_komada) {
        $this->id_aranzmana = $id_aranzmana;
		$this->lokacija = $lokacija;
		$this->hotel = $hotel;
		$this->datum_pocetka = $datum_pocetka;
		$this->datum_kraja = $datum_kraja;
		$this->broj_nocenja = $broj_nocenja;
		$this->tip_prevoza = $tip_prevoza;
		$this->tip_sobe = $tip_sobe;
		$this->cena_aranzmana = $cena_aranzmana;
		$this->broj_komada = $broj_komada;        
    }
    
    public function __get($imeAtributa) {
        return $this->$imeAtributa;
    }
    
    public static function dohvatiAranzmane($naziv_aranzmana, $datum_od, $datum_do){
        $konekcija = DB::getInstanca();
		$upit = "";
		if($naziv_aranzmana != "")
			$upit = "SELECT * FROM aranzman WHERE mesto_lokacije LIKE '%$naziv_aranzmana%'";
		
		if($datum_od != "" && $datum_do != "")
			$upit.= " AND datum_pocetak > '$datum_od' AND datum_pocetak < '$datum_do'";
		else if($datum_od != "")
			$upit.= " AND datum_pocetak > '$datum_od'";
		else if($datum_do != "")
			$upit.= " AND datum_pocetak < '$datum_do'";
		
        $aranzmani = array();
		foreach ($konekcija->query($upit) as $row) {
			array_push($aranzmani, $row);
		}
		return $aranzmani;
    }
}