<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
require_once('models/ModelKorisnik.php');
require_once('models/ModelAranzman.php');

class Korisnik{
    
    public function __construct() {
        session_start();
        if (!isset($_SESSION['korisnik'])) {
            header("Location: ?controller=gost&akcija=index"); 
        } 
    }
    
    public function index($trazi=NULL){
		$controller="korisnik";
        require_once("views/sablon/header_korisnik.php");
        require_once("views/pretraga.php");
        require_once("views/sablon/footer.php");
    }
    
    public function logout(){
        session_destroy();
        header("Location: ?controller=gost&akcija=index");
    }
	
	public function pretraga(){
		require_once("views/sablon/header_korisnik.php");
		$poruka = "";
		
		if ($_GET['naziv_aranzmana'] == "" && $_GET['datum_od'] == "" && $_GET['datum_do'] == "") {
            $poruka = "Niste uneli nijedan parametar pretrage!";
        } else if($_GET['naziv_aranzmana'] == "")
            $poruka = "Niste uneli naziv mesta gde zelite putovati";
		else{
			$aranzmani=AranzmanModel::dohvatiAranzmane($_GET['naziv_aranzmana'],$_GET['datum_od'],$_GET['datum_do']);
			if ($aranzmani==NULL) {
                $poruka = "Nema nijednog aranzmana koji zadovoljava trenutne kriterijume pretrage";
            } else {
                $_SESSION['aranzmani']= $aranzmani;
            }
		}
		$_SESSION['poruka'] = $poruka;
		header("Location: ?controller=korisnik&akcija=rezultat");
        require_once("views/sablon/footer.php");
	}
	
	public function rezultat(){
		require_once("views/sablon/header_korisnik.php");
		require_once("views/rezultat.php");
		require_once("views/sablon/footer.php");
	}
}